
QGIS Application - Bug report #17745

QGIS crash when loading 3D polygons

2017-12-24 02:19 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25641

Description

Here is the data I am tying to use.

You can download and convert the data from here:

https://kartta.hel.fi/3d/

Associated revisions

Revision 6508543f - 2018-01-01 10:28 PM - Martin Dobias

[3d] Fix tessellator crash with nearly collinear points (fixes #17745)

History

#1 - 2018-01-01 10:28 PM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6508543f5f221dc5b7b2b398145299481565fe58.

#2 - 2018-02-22 11:00 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

helsinki_buildings3d.gpkg.zip 340 KB 2017-12-24 Saber Razmjooei
